## ignition-sensors5 5.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-sensors5 VERSION 5.1.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)

#============================================================================
# Set project-specific options
#============================================================================
set (DRI_TESTS TRUE CACHE BOOL "True to enable DRI tests")

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find Protobuf
set(REQ_PROTOBUF_VER 3)
ign_find_package(IgnProtobuf
                 VERSION ${REQ_PROTOBUF_VER}
                 REQUIRED
                 PRETTY Protobuf)

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED VERSION 6.6)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common4
                 COMPONENTS profiler
                 REQUIRED)
set(IGN_COMMON_VER ${ignition-common4_VERSION_MAJOR})

#--------------------------------------
# Find ignition-transport
ign_find_package(ignition-transport10 REQUIRED)
set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

#--------------------------------------
# Find ignition-rendering
ign_find_package(ignition-rendering5 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
set(IGN_RENDERING_VER ${ignition-rendering5_VERSION_MAJOR})

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre)
  set(HAVE_OGRE TRUE)
  add_definitions(-DWITH_OGRE)
endif()

if (TARGET ignition-rendering${IGN_RENDERING_VER}::ogre2)
  set(HAVE_OGRE2 TRUE)
  add_definitions(-DWITH_OGRE2)
endif()

#--------------------------------------
# Find ignition-msgs
ign_find_package(ignition-msgs7 REQUIRED VERSION 7.2)
set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS all)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find SDFormat
ign_find_package(sdformat11 REQUIRED VERSION 11.3)
set(SDF_VER ${sdformat11_VERSION_MAJOR})

set(IGN_SENSORS_PLUGIN_PATH ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR})

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS)

#============================================================================
# Create package information
#============================================================================
ign_create_packages()

#============================================================================
# Configure documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md")

if(TARGET doc)
  file(COPY ${CMAKE_SOURCE_DIR}/tutorials/files/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/files/)
endif()

=== src/CMakeLists.txt ===
set (sources
  Manager.cc
  Sensor.cc
  Noise.cc
  GaussianNoiseModel.cc
  PointCloudUtil.cc
  SensorFactory.cc
  SensorTypes.cc
)

set(rendering_sources
  RenderingSensor.cc
  RenderingEvents.cc
  ImageGaussianNoiseModel.cc
  ImageNoise.cc
)

set (gtest_sources
  Manager_TEST.cc
  Noise_TEST.cc
  Sensor_TEST.cc
)

if (MSVC)
  # TODO(louise) Remove this once warnings are suppressed in ign-rendering
  set_source_files_properties(
      ${rendering_sources}
    COMPILE_FLAGS "/wd4251"
  )
endif()

# Create the library target.
ign_create_core_library(SOURCES ${sources} CXX_STANDARD 14)

# todo(anyone) dependency on rendering has been moved to its own component
# and relevant functions are deprecated in ign-sensors 2. We can remove linking
# against ign-rendering from the core lib in ign-sensors 3
target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ignition-math${IGN_MATH_VER}::ignition-math${IGN_MATH_VER}
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    sdformat${SDF_VER}::sdformat${SDF_VER}
  PRIVATE
    ignition-common${IGN_COMMON_VER}::profiler
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
)
target_compile_definitions(${PROJECT_LIBRARY_TARGET_NAME} PUBLIC DepthPoints_EXPORTS)

ign_add_component(rendering SOURCES ${rendering_sources} GET_TARGET_NAME rendering_target)
target_link_libraries(${rendering_target}
  PUBLIC
    ignition-rendering${IGN_RENDERING_VER}::ignition-rendering${IGN_RENDERING_VER}
)

set(camera_sources CameraSensor.cc)
ign_add_component(camera SOURCES ${camera_sources} GET_TARGET_NAME camera_target)
# custom compile definitions since the one provided automatically is versioned and will
# make the code need to change with every major version
target_compile_definitions(${camera_target} PUBLIC CameraSensor_EXPORTS)
target_link_libraries(${camera_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(depth_camera_sources DepthCameraSensor.cc)
ign_add_component(depth_camera SOURCES ${depth_camera_sources} GET_TARGET_NAME depth_camera_target)
target_compile_definitions(${depth_camera_target} PUBLIC DepthCameraSensor_EXPORTS)
target_link_libraries(${depth_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(lidar_sources Lidar.cc)
ign_add_component(lidar SOURCES ${lidar_sources} GET_TARGET_NAME lidar_target)
target_compile_definitions(${lidar_target} PUBLIC Lidar_EXPORTS)
target_link_libraries(${lidar_target}
  PUBLIC
    ${rendering_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(gpu_lidar_sources GpuLidarSensor.cc)
ign_add_component(gpu_lidar SOURCES ${gpu_lidar_sources} GET_TARGET_NAME gpu_lidar_target)
target_compile_definitions(${gpu_lidar_target} PUBLIC GpuLidarSensor_EXPORTS)
target_link_libraries(${gpu_lidar_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
    ${lidar_target}
)

set(logical_camera_sources LogicalCameraSensor.cc)
ign_add_component(logical_camera SOURCES ${logical_camera_sources} GET_TARGET_NAME logical_camera_target)
target_compile_definitions(${logical_camera_target} PUBLIC LogicalCameraSensor_EXPORTS)
target_link_libraries(${logical_camera_target}
  PRIVATE
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(magnetometer_sources MagnetometerSensor.cc)
ign_add_component(magnetometer SOURCES ${magnetometer_sources} GET_TARGET_NAME magnetometer_target)

set(imu_sources ImuSensor.cc)
ign_add_component(imu SOURCES ${imu_sources} GET_TARGET_NAME imu_target)

set(altimeter_sources AltimeterSensor.cc)
ign_add_component(altimeter SOURCES ${altimeter_sources} GET_TARGET_NAME altimeter_target)

set(air_pressure_sources AirPressureSensor.cc)
ign_add_component(air_pressure SOURCES ${air_pressure_sources} GET_TARGET_NAME air_pressure_target)

set(rgbd_camera_sources RgbdCameraSensor.cc)
ign_add_component(rgbd_camera SOURCES ${rgbd_camera_sources} GET_TARGET_NAME rgbd_camera_target)
target_compile_definitions(${rgbd_camera_target} PUBLIC RgbdCameraSensor_EXPORTS)
target_link_libraries(${rgbd_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

set(thermal_camera_sources ThermalCameraSensor.cc)
ign_add_component(thermal_camera SOURCES ${thermal_camera_sources} GET_TARGET_NAME thermal_camera_target)
target_link_libraries(${thermal_camera_target}
  PRIVATE
    ${camera_target}
    ignition-msgs${IGN_MSGS_VER}::ignition-msgs${IGN_MSGS_VER}
    ignition-transport${IGN_TRANSPORT_VER}::ignition-transport${IGN_TRANSPORT_VER}
)

# Build the unit tests.
ign_build_tests(TYPE UNIT SOURCES ${gtest_sources} LIB_DEPS ${rendering_target})

# Build the unit tests that depend on components.
ign_build_tests(TYPE UNIT SOURCES Lidar_TEST.cc LIB_DEPS ${lidar_target})
ign_build_tests(TYPE UNIT SOURCES Camera_TEST.cc LIB_DEPS ${camera_target})
ign_build_tests(TYPE UNIT SOURCES ImuSensor_TEST.cc LIB_DEPS ${imu_target})

set(plugin_test_targets)
list(APPEND plugin_test_targets "UNIT_Camera_TEST")
list(APPEND plugin_test_targets "UNIT_Lidar_TEST")
list(APPEND plugin_test_targets "UNIT_ImuSensor_TEST")

foreach(plugin_test ${plugin_test_targets})
  if(TARGET ${plugin_test})
    set(_env_vars)
    list(APPEND _env_vars "IGN_PLUGIN_PATH=$<TARGET_FILE_DIR:${camera_target}>")
    list(APPEND _env_vars "DYLD_LIBRARY_PATH=${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")

    set_tests_properties(${plugin_test} PROPERTIES
      ENVIRONMENT "${_env_vars}")
  endif()
endforeach()

=== examples/imu_noise/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-sensors-noise-demo)

# Find the Ignition Libraries used directly by the example
find_package(ignition-sensors5 REQUIRED)

add_executable(sensor_noise main.cc)
target_link_libraries(sensor_noise PUBLIC ignition-sensors5)

=== examples/save_image/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
project(ignition-sensors-camera-demo)

# Find the Ignition Libraries used directly by the example
find_package(ignition-rendering5 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
find_package(ignition-sensors5 REQUIRED COMPONENTS rendering camera)

if (TARGET ignition-rendering5::ogre)
   add_definitions(-DWITH_OGRE)
endif()
if (TARGET ignition-rendering5::ogre2)
   add_definitions(-DWITH_OGRE2)
endif()

add_executable(save_image main.cc)
target_link_libraries(save_image PUBLIC
  ignition-sensors5::camera)

=== debian/changelog ===
ignition-sensors5 (5.1.0-1~buster) buster; urgency=medium

  * ignition-sensors5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 18 Oct 2021 14:48:52 -0700

ignition-sensors5 (5.0.0-1~buster) buster; urgency=medium

  * ignition-sensors5 5.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 16:18:32 -0700

ignition-sensors5 (5.0.0~pre2-1~buster) buster; urgency=medium

  * ignition-sensors5 5.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 19:42:55 -0700

ignition-sensors5 (5.0.0~pre1-2~buster) buster; urgency=medium

  * ignition-sensors5 5.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 18:43:54 -0700

ignition-sensors5 (5.0.0~pre1-1~buster) buster; urgency=medium

  * ignition-sensors5 5.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 15:24:52 -0700

ignition-sensors5 (4.999.999-1~buster) buster; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:36:35 -0700

=== debian/control ===
Source: ignition-sensors5
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               doxygen,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.8.0),
               libignition-common4-events-dev,
               libignition-common4-profiler-dev,
               libignition-math6-dev (>= 6.6.0),
               libignition-msgs7-dev (>= 7.2.0),
               libignition-plugin-dev,
               libignition-rendering5-ogre1-dev,
               libignition-rendering5-ogre2-dev,
               libignition-transport10-core-dev,
               libignition-tools-dev,
               libsdformat11-dev (>= 11.3.0)
Vcs-Browser: https://github.com/ignition-release/ign-sensors5-release
Vcs-Git: https://github.com/ignition-release/ign-sensors5-release
Homepage: http://ignitionrobotics.org/

Package: libignition-sensors5-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs7-dev (>= 7.2.0),
         libignition-plugin-dev,
         libignition-rendering5-ogre1-dev,
         libignition-rendering5-ogre2-dev,
         libignition-transport10-core-dev,
         libignition-tools-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Development files
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors5
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Shared library
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.

Package: libignition-sensors5-air-pressure-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-air-pressure (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files air-pressure
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for air-pressure sensor

Package: libignition-sensors5-air-pressure
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib air-pressure
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for air-pressure sensor

Package: libignition-sensors5-altimeter-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-altimeter (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files altimeter
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for altimeter sensor

Package: libignition-sensors5-altimeter
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib altimeter
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for altimeter sensor


Package: libignition-sensors5-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs7-dev (>= 7.2.0),
         libignition-transport10-core-dev,
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files Camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for Camera sensor

Package: libignition-sensors5-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib Camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for Camera sensor

Package: libignition-sensors5-depth-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs7-dev (>= 7.2.0),
         libignition-transport10-core-dev,
         libignition-sensors5-core-dev,
         libignition-sensors5-camera-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-depth-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files depth-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for depth-camera sensor

Package: libignition-sensors5-depth-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib depth-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  . Shared library for depth-camera sensor

Package: libignition-sensors5-imu-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-imu (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files imu
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for imu sensor

Package: libignition-sensors5-imu
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib imu
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for imu sensor


Package: libignition-sensors5-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs7-dev (>= 7.2.0),
         libignition-transport10-core-dev,
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for lidar sensor

Package: libignition-sensors5-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for lidar sensor

Package: libignition-sensors5-gpu-lidar-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs7-dev (>= 7.2.0),
         libignition-transport10-core-dev,
         libignition-sensors5-core-dev,
         libignition-sensors5-lidar-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-gpu-lidar (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files gpu-lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for gpu-lidar sensor

Package: libignition-sensors5-gpu-lidar
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib gpu-lidar
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for gpu-lidar sensor

Package: libignition-sensors5-logical-camera-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-msgs7-dev (>= 7.2.0),
         libignition-transport10-core-dev,
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-logical-camera (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files logical-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for logical-camera sensor

Package: libignition-sensors5-logical-camera
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Lib logical-camera
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Shared library for logical-camera sensor

Package: libignition-sensors5-magnetometer-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.8.0),
         libignition-common4-events-dev,
         libignition-math6-dev (>= 6.6.0),
         libignition-sensors5-core-dev,
         libsdformat11-dev (>= 11.3.0),
         libignition-sensors5-magnetometer (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition sensors2 classes and functions for robot apps - Dev files magnetometer
  Ignition sensors2 is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Development files for magnetometer sensor

Package: libignition-sensors5-magnetometer
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo
override_dh_install:
	dh_install --
	# need to remove files present in components
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/AirPressure*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Altimeter*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Camera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/DepthCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/GpuLidarSensor*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Imu*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Lidar*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/LogicalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Magnetometer*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/ThermalCamera*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/Rendering*.hh
	$(RM) debian/libignition-sensors*-core-dev/usr/include/ignition/sensors*/ignition/sensors/RgbdCamera*.hh
	dh_missing --list-missing

# test cannot run in parallel
override_dh_auto_test:
	true
# dh_auto_test --max-parallel=1

## ignition-sensors5 5.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-sensors5 VERSION 5.1.0)
+project(ignition-sensors5 VERSION 5.1.1)
 
 #============================================================================
 # Find ignition-cmake
@@ -60,6 +60,12 @@
 
 #--------------------------------------
 # Find ignition-rendering
+
+# See CMP0072 for more details (cmake --help-policy CMP0072)
+if ((NOT ${CMAKE_VERSION} VERSION_LESS 3.11) AND (NOT OpenGL_GL_PREFERENCE))
+  set(OpenGL_GL_PREFERENCE "GLVND")
+endif()
+
 ign_find_package(ignition-rendering5 REQUIRED OPTIONAL_COMPONENTS ogre ogre2)
 set(IGN_RENDERING_VER ${ignition-rendering5_VERSION_MAJOR})

=== debian/changelog ===
ignition-sensors5 (5.1.1-1~focal) focal; urgency=medium

  * ignition-sensors5 5.1.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 25 Mar 2022 10:05:01 -0700

ignition-sensors5 (5.1.0-1~focal) focal; urgency=medium

  * ignition-sensors5 5.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 18 Oct 2021 14:48:52 -0700

ignition-sensors5 (5.0.0-1~focal) focal; urgency=medium

  * ignition-sensors5 5.0.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 31 Mar 2021 16:18:32 -0700

ignition-sensors5 (5.0.0~pre2-1~focal) focal; urgency=medium

  * ignition-sensors5 5.0.0~pre2-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 19:42:55 -0700

ignition-sensors5 (5.0.0~pre1-2~focal) focal; urgency=medium

  * ignition-sensors5 5.0.0~pre1-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 18:43:54 -0700

ignition-sensors5 (5.0.0~pre1-1~focal) focal; urgency=medium

  * ignition-sensors5 5.0.0~pre1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 25 Mar 2021 15:24:52 -0700

ignition-sensors5 (4.999.999-1~focal) focal; urgency=medium

  * Stub to be removed after first entry

 -- Louise Poubel <louise@openrobotics.org>  Wed, 07 Oct 2020 17:36:35 -0700

=== debian/control ===
--- 
+++ 
@@ -57,7 +57,7 @@
 Section: libdevel
 Depends: libignition-cmake2-dev (>= 2.8.0),
          libignition-common4-events-dev,
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-air-pressure (= ${binary:Version}),
          ${misc:Depends}
@@ -85,7 +85,7 @@
 Section: libdevel
 Depends: libignition-cmake2-dev (>= 2.8.0),
          libignition-common4-events-dev,
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-altimeter (= ${binary:Version}),
          ${misc:Depends}
@@ -117,7 +117,7 @@
          libignition-math6-dev (>= 6.6.0),
          libignition-msgs7-dev (>= 7.2.0),
          libignition-transport10-core-dev,
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-camera (= ${binary:Version}),
          ${misc:Depends}
@@ -148,8 +148,8 @@
          libignition-math6-dev (>= 6.6.0),
          libignition-msgs7-dev (>= 7.2.0),
          libignition-transport10-core-dev,
-         libignition-sensors5-core-dev,
-         libignition-sensors5-camera-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
+         libignition-sensors5-camera-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-depth-camera (= ${binary:Version}),
          ${misc:Depends}
@@ -177,7 +177,7 @@
 Depends: libignition-cmake2-dev (>= 2.8.0),
          libignition-common4-events-dev,
          libignition-math6-dev (>= 6.6.0),
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-imu (= ${binary:Version}),
          ${misc:Depends}
@@ -209,7 +209,7 @@
          libignition-math6-dev (>= 6.6.0),
          libignition-msgs7-dev (>= 7.2.0),
          libignition-transport10-core-dev,
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-lidar (= ${binary:Version}),
          ${misc:Depends}
@@ -240,8 +240,8 @@
          libignition-math6-dev (>= 6.6.0),
          libignition-msgs7-dev (>= 7.2.0),
          libignition-transport10-core-dev,
-         libignition-sensors5-core-dev,
-         libignition-sensors5-lidar-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
+         libignition-sensors5-lidar-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-gpu-lidar (= ${binary:Version}),
          ${misc:Depends}
@@ -272,7 +272,7 @@
          libignition-math6-dev (>= 6.6.0),
          libignition-msgs7-dev (>= 7.2.0),
          libignition-transport10-core-dev,
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-logical-camera (= ${binary:Version}),
          ${misc:Depends}
@@ -301,18 +301,9 @@
 Depends: libignition-cmake2-dev (>= 2.8.0),
          libignition-common4-events-dev,
          libignition-math6-dev (>= 6.6.0),
-         libignition-sensors5-core-dev,
+         libignition-sensors5-core-dev (= ${binary:Version}),
          libsdformat11-dev (>= 11.3.0),
          libignition-sensors5-magnetometer (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Ignition sensors2 classes and functions for robot apps - Dev files magnetometer
-  Ignition sensors2 is a component in the ignition framework, a set of libraries
-  designed to rapidly develop robot applications.
-  .
-  Development files for magnetometer sensor
-
-Package: libignition-sensors5-magnetometer
-Architecture: any
-Section: libs
-Pre-Depends: ${misc:Pre-Depends}
